VERSION 5.00
Begin VB.Form frmGameof21 
   Caption         =   "Game of 21"
   ClientHeight    =   3552
   ClientLeft      =   2748
   ClientTop       =   2892
   ClientWidth     =   7056
   LinkTopic       =   "Form1"
   ScaleHeight     =   3552
   ScaleWidth      =   7056
   Begin VB.CommandButton cmdDone 
      Caption         =   "Done"
      Height          =   372
      Left            =   5760
      TabIndex        =   1
      Top             =   840
      Width           =   1092
   End
   Begin VB.CommandButton cmdPlayGame 
      Caption         =   "Play Game"
      Height          =   372
      Left            =   5760
      TabIndex        =   0
      Top             =   240
      Width           =   1092
   End
   Begin VB.Label lblScore 
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   972
      Left            =   5400
      TabIndex        =   5
      Top             =   2280
      Width           =   1452
   End
   Begin VB.Label lblWinner 
      Alignment       =   2  'Center
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   492
      Left            =   1440
      TabIndex        =   4
      Top             =   2400
      Width           =   2532
   End
   Begin VB.Label lblComputer 
      Alignment       =   2  'Center
      Caption         =   "Computer"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   3360
      TabIndex        =   3
      Top             =   240
      Width           =   1452
   End
   Begin VB.Label lblYou 
      Alignment       =   2  'Center
      Caption         =   "You"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   840
      TabIndex        =   2
      Top             =   240
      Width           =   972
   End
   Begin VB.Image imgCompCard3 
      Height          =   816
      Left            =   4560
      Picture         =   "frmGameof21.frx":0000
      Stretch         =   -1  'True
      Top             =   960
      Width           =   612
   End
   Begin VB.Image imgCompCard2 
      Height          =   816
      Left            =   3840
      Picture         =   "frmGameof21.frx":252E
      Stretch         =   -1  'True
      Top             =   960
      Width           =   612
   End
   Begin VB.Image imgCompCard1 
      Height          =   816
      Left            =   3120
      Picture         =   "frmGameof21.frx":4A5C
      Stretch         =   -1  'True
      Top             =   960
      Width           =   612
   End
   Begin VB.Image imgPlayerCard3 
      Height          =   816
      Left            =   1680
      Picture         =   "frmGameof21.frx":6F8A
      Stretch         =   -1  'True
      Top             =   960
      Width           =   612
   End
   Begin VB.Image imgPlayerCard2 
      Height          =   816
      Left            =   960
      Picture         =   "frmGameof21.frx":94B8
      Stretch         =   -1  'True
      Top             =   960
      Width           =   612
   End
   Begin VB.Image imgPlayerCard1 
      Height          =   816
      Left            =   240
      Picture         =   "frmGameof21.frx":B9E6
      Stretch         =   -1  'True
      Top             =   960
      Width           =   612
   End
End
Attribute VB_Name = "frmGameof21"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'   Chapter 7 Game of 21 Case Study
'   3/99

Option Explicit

Private Const strPlayer As String = "Player"
Private Const strComputer As String = "Computer"
Private Const strDraw As String = "Draw"

Private Sub Form_Load()
    Randomize
End Sub

Private Sub cmdPlayGame_Click()
    Static intPlayerScore As Integer, intCompScore As Integer, intDrawsScore As Integer
    Dim intPlayerTotal As Integer, intCompTotal As Integer

    'Deal 3 cards to Player
    Call DealCard(imgPlayerCard1, intPlayerTotal)
    Call DealCard(imgPlayerCard2, intPlayerTotal)
    Call DealCard(imgPlayerCard3, intPlayerTotal)

    'Deal 3 cards to Computer
    Call DealCard(imgCompCard1, intCompTotal)
    Call DealCard(imgCompCard2, intCompTotal)
    Call DealCard(imgCompCard3, intCompTotal)

    If Winner(intPlayerTotal, intCompTotal) = strPlayer Then
        lblWinner.Caption = "You won!"
        Call UpdateScore(intPlayerScore)
        Call ShowScore(lblScore, intPlayerScore, intCompScore, intDrawsScore)
    ElseIf Winner(intPlayerTotal, intCompTotal) = strComputer Then
        lblWinner.Caption = "Computer won!"
        Call UpdateScore(intCompScore)
        Call ShowScore(lblScore, intPlayerScore, intCompScore, intDrawsScore)
    Else
        lblWinner.Caption = "It's a draw!"
        Call UpdateScore(intDrawsScore)
        Call ShowScore(lblScore, intPlayerScore, intCompScore, intDrawsScore)
    End If
End Sub

'*****************************************************************************
'   Displays a card corresponding to a random number in the range 1 to 10
'
'   pre: Randomize called
'   post: imgCard displays a card in the range 1 to 10 and updates intPlayerTotal score
'*****************************************************************************
Sub DealCard(ByRef imgCard As Image, ByRef intPlayerTotal As Integer)
    Dim intCardNum As Integer

    intCardNum = Int(10 * Rnd + 1)
    If intCardNum = 1 Then
        imgCard.Picture = LoadPicture("Card1.wmf")
    ElseIf intCardNum = 2 Then
        imgCard.Picture = LoadPicture("Card2.wmf")
    ElseIf intCardNum = 3 Then
        imgCard.Picture = LoadPicture("Card3.wmf")
    ElseIf intCardNum = 4 Then
        imgCard.Picture = LoadPicture("Card4.wmf")
    ElseIf intCardNum = 5 Then
        imgCard.Picture = LoadPicture("Card5.wmf")
    ElseIf intCardNum = 6 Then
        imgCard.Picture = LoadPicture("Card6.wmf")
    ElseIf intCardNum = 7 Then
        imgCard.Picture = LoadPicture("Card7.wmf")
    ElseIf intCardNum = 8 Then
        imgCard.Picture = LoadPicture("Card8.wmf")
    ElseIf intCardNum = 9 Then
        imgCard.Picture = LoadPicture("Card9.wmf")
    ElseIf intCardNum = 10 Then
        imgCard.Picture = LoadPicture("Card10.wmf")
    End If
    intPlayerTotal = intPlayerTotal + intCardNum
End Sub

'*****************************************************************************
'   Returns a string indicating the winner
'
'   post: global constant strPlayer, strComputer, or strDraw returned
'*****************************************************************************
Function Winner(ByVal intPlayerTotal As Integer, ByVal intCompTotal As Integer) As String
    Const intLimit As Integer = 21

    If (intPlayerTotal = intCompTotal) Or _
        (intPlayerTotal > intLimit And intCompTotal > intLimit) Then
        Winner = strDraw
    ElseIf (intCompTotal > intLimit) Or _
        (intPlayerTotal > intCompTotal And intPlayerTotal <= intLimit) Then
        Winner = strPlayer
    Else
        Winner = strComputer
    End If
End Function

'*****************************************************************************
'   Updates the score of intWinner
'
'   post: intWinner has been increased by intWinPoints
'*****************************************************************************
Sub UpdateScore(ByRef intWinner As Integer)
    Const intWinPoints As Integer = 1

    intWinner = intWinner + intWinPoints
End Sub

'*****************************************************************************
'   Displays the current score of Player, Computer, and draws
'
'   post: scores displayed in a label
'*****************************************************************************
Sub ShowScore(ByRef lblLabel As Label, ByVal intPlayerScore As Integer, _
ByVal intCompScore As Integer, ByVal intDrawsScore As Integer)
    lblScore.Caption = "You: " & intPlayerScore & vbCrLf _
        & "Computer: " & intCompScore & vbCrLf _
        & "Draws: " & intDrawsScore
End Sub

Private Sub cmdDone_Click()
    Unload Me
End Sub
