VERSION 5.00
Begin VB.Form frmLucysCubanCafe 
   Caption         =   "Lucy's Cuban Cafe"
   ClientHeight    =   3288
   ClientLeft      =   3648
   ClientTop       =   2736
   ClientWidth     =   4860
   LinkTopic       =   "Form1"
   ScaleHeight     =   3288
   ScaleWidth      =   4860
   Begin VB.CommandButton cmdNewOrder 
      Caption         =   "New Order"
      Height          =   372
      Left            =   3480
      TabIndex        =   9
      Top             =   2040
      Width           =   1092
   End
   Begin VB.CommandButton cmdQuit 
      Caption         =   "Quit"
      Height          =   372
      Left            =   3480
      TabIndex        =   10
      Top             =   2640
      Width           =   1092
   End
   Begin VB.CommandButton cmdFood 
      Caption         =   "Pudin de Pan"
      Height          =   612
      Index           =   8
      Left            =   2160
      TabIndex        =   8
      Top             =   2400
      Width           =   972
   End
   Begin VB.CommandButton cmdFood 
      Caption         =   "Yuca"
      Height          =   612
      Index           =   5
      Left            =   2160
      TabIndex        =   5
      Top             =   1800
      Width           =   972
   End
   Begin VB.CommandButton cmdFood 
      Caption         =   "Masitas"
      Height          =   612
      Index           =   2
      Left            =   2160
      TabIndex        =   2
      Top             =   1200
      Width           =   972
   End
   Begin VB.CommandButton cmdFood 
      Caption         =   "Flan"
      Height          =   612
      Index           =   7
      Left            =   1200
      TabIndex        =   7
      Top             =   2400
      Width           =   972
   End
   Begin VB.CommandButton cmdFood 
      Caption         =   "Moros"
      Height          =   612
      Index           =   4
      Left            =   1200
      TabIndex        =   4
      Top             =   1800
      Width           =   972
   End
   Begin VB.CommandButton cmdFood 
      Caption         =   "Ropa Vieja"
      Height          =   612
      Index           =   1
      Left            =   1200
      TabIndex        =   1
      Top             =   1200
      Width           =   972
   End
   Begin VB.CommandButton cmdFood 
      Caption         =   "Cafe con Leche"
      Height          =   612
      Index           =   6
      Left            =   240
      TabIndex        =   6
      Top             =   2400
      Width           =   972
   End
   Begin VB.CommandButton cmdFood 
      Caption         =   "Cuban Sandwich"
      Height          =   612
      Index           =   3
      Left            =   240
      TabIndex        =   3
      Top             =   1800
      Width           =   972
   End
   Begin VB.CommandButton cmdFood 
      Caption         =   "Arroz con Pollo"
      Height          =   612
      Index           =   0
      Left            =   240
      TabIndex        =   0
      Top             =   1200
      Width           =   972
   End
   Begin VB.ListBox lstItemsOrdered 
      Height          =   624
      ItemData        =   "frmLucysCubanCafe.frx":0000
      Left            =   240
      List            =   "frmLucysCubanCafe.frx":0002
      TabIndex        =   11
      Top             =   240
      Width           =   2892
   End
   Begin VB.Label lblTotal 
      Caption         =   "Total:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.6
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   252
      Left            =   3360
      TabIndex        =   12
      Top             =   600
      Width           =   1212
   End
End
Attribute VB_Name = "frmLucysCubanCafe"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'   Chapter 9 Lucy's Cuban Cafe Case Study
'   3/99

Option Explicit
Dim curPriceList() As Currency
Dim strItemList() As String
Dim curTotal As Currency                    'Order total

Private Sub Form_Load()
    Const intNumItems As Integer = 9        'number of menu items
    Dim intIndex As Integer

    ReDim strItemList(intNumItems)
    'Load item names
    strItemList(0) = "Arroz con Pollo"
    strItemList(1) = "Ropa Vieja"
    strItemList(2) = "Masitas"
    strItemList(3) = "Cuban Sandwich"
    strItemList(4) = "Moros"
    strItemList(5) = "Yuca"
    strItemList(6) = "Cafe con Leche"
    strItemList(7) = "Flan"
    strItemList(8) = "Pudin de Pan"

    'Assign Captions to cmdFood command buttons
    For intIndex = 0 To intNumItems - 1
        cmdFood(intIndex).Caption = strItemList(intIndex)
    Next intIndex
    ReDim curPriceList(intNumItems)
    'Load items prices
    curPriceList(0) = 9.95      'Arroz con Pollo
    curPriceList(1) = 9.95      'Ropa Vieja
    curPriceList(2) = 8.95      'Masitas
    curPriceList(3) = 6.95      'Cuban Sandwich
    curPriceList(4) = 2.75      'Moros
    curPriceList(5) = 2.75      'Yuca
    curPriceList(6) = 1.75      'Cafe con Leche
    curPriceList(7) = 2.5       'Flan
    curPriceList(8) = 2.95      'Pudin de Pan
End Sub

Private Sub cmdFood_Click(Index As Integer)
    Call AddToList(Index)
    curTotal = curTotal + curPriceList(Index)
    Call ShowTotal(curTotal, lblTotal)
End Sub

Private Sub cmdNewOrder_Click()
    curTotal = 0                            'reinitialize order total
    Call ShowTotal(curTotal, lblTotal)
    lstItemsOrdered.Clear                   'clear items ordered
End Sub

Sub AddToList(ByRef intIndex As Integer)
    lstItemsOrdered.AddItem strItemList(intIndex) & vbTab & _
        Format(curPriceList(intIndex), "Currency")
End Sub

Sub ShowTotal(ByVal curTotal As Currency, ByRef lblLabel As Label)
    lblLabel.Caption = "Total: " & Format(curTotal, "Currency")
End Sub

Private Sub cmdQuit_Click()
    Unload Me
End Sub
